<?php
if (isset($_SESSION['usuario'])){
$user=$_SESSION['usuario'];
}
else{
?>
<script>
location.href="index.php?errorusuario=3";
</script>
<?php }
date_default_timezone_set("America/Mexico_City");
?>


  <table width="950" border="0" align="center">
    <tr>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><span class="style10">REPORTE DETALLADO DE TRATAMIENTOS VENDIDOS</span></td>
          <td><div align="right"><a href="javascript:print()"><img src="img/icon_print.jpg" alt="Imprimir" width="22" height="22" border="0" /></a></div></td>
        </tr>
      </table>      </td>
    </tr>
    <tr>
      <td><table width="100%" height="0" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td align="center" valign="top"><hr width="100%" size="1" noshade="noshade" color="#0D3356"></td>
          </tr>
          <tr>
            <td>
            	<?php
				include ("conexion.php");
					if (isset($_GET['b']))
					{
						//OBTENGO LA VARIABLE B
						$b=$_GET['b'];

						if ($b==1)
						{
							$hoy=date("Y-m-d");
							
							$fecha=explode("-",$hoy);
							
							if ($fecha[1] == 01)
								{$mes="Enero";}
							if ($fecha[1] == 02)
								{$mes="Febrero";}
							if ($fecha[1] == 03)
								{$mes="Marzo";}
							if ($fecha[1] == 04)
								{$mes="Abril";}
							if ($fecha[1] == 05)
								{$mes="Mayo";}
							if ($fecha[1] == 06)
								{$mes="Junio";}
							if ($fecha[1] == 07)
								{$mes="Julio";}
							if ($fecha[1] == '08')
								{$mes="Agosto";}
							if ($fecha[1] == '09')
								{$mes="Septiembre";}
							if ($fecha[1] == 10)
								{$mes="Octubre";}
							if ($fecha[1] == 11)
								{$mes="Noviembre";}
							if ($fecha[1] == 12)
								{$mes="Diciembre";}
							
							$fechafinal= $fecha[2]."-".$mes."-".$fecha[0];

							echo "<p align='center' class='style78'>".$fechafinal."</p>";
							
							$condicion="fechaSalida='$hoy'";
						}

						if ($b==2)
						{
							$fecha1=$_POST['fecha'];
							$fecha2=$_POST['fecha2'];
						
							//CALCULO DE FECHAS EN LETRAS
							$fe1=explode("-",$fecha1);
							
							if ($fe1[1] == 01)
								{$mes="Enero";}
							if ($fe1[1] == 02)
								{$mes="Febrero";}
							if ($fe1[1] == 03)
								{$mes="Marzo";}
							if ($fe1[1] == 04)
								{$mes="Abril";}
							if ($fe1[1] == 05)
								{$mes="Mayo";}
							if ($fe1[1] == 06)
								{$mes="Junio";}
							if ($fe1[1] == 07)
								{$mes="Julio";}
							if ($fe1[1] == '08')
								{$mes="Agosto";}
							if ($fe1[1] == '09')
								{$mes="Septiembre";}
							if ($fe1[1] == 10)
								{$mes="Octubre";}
							if ($fe1[1] == 11)
								{$mes="Noviembre";}
							if ($fe1[1] == 12)
								{$mes="Diciembre";}
							
							$fechafinal1= $fe1[2]."-".$mes."-".$fe1[0];


							$fe2=explode("-",$fecha2);
							
							if ($fe2[1] == 01)
								{$mes="Enero";}
							if ($fe2[1] == 02)
								{$mes="Febrero";}
							if ($fe2[1] == 03)
								{$mes="Marzo";}
							if ($fe2[1] == 04)
								{$mes="Abril";}
							if ($fe2[1] == 05)
								{$mes="Mayo";}
							if ($fe2[1] == 06)
								{$mes="Junio";}
							if ($fe2[1] == 07)
								{$mes="Julio";}
							if ($fe2[1] == '08')
								{$mes="Agosto";}
							if ($fe2[1] == '09')
								{$mes="Septiembre";}
							if ($fe2[1] == 10)
								{$mes="Octubre";}
							if ($fe2[1] == 11)
								{$mes="Noviembre";}
							if ($fe2[1] == 12)
								{$mes="Diciembre";}
							
							$fechafinal2= $fe2[2]."-".$mes."-".$fe2[0];

			
							echo "<p align='center' class='style78'>Del ".$fechafinal1." al ".$fechafinal2."</p>";
							
							$condicion="fechaSalida between '$fecha1' and '$fecha2'";
							
						}
						
							echo "<table align='center' cellpadding='2' class='tablaBordes' width='100%'>";
							echo "<tr class='tablaCabecera' align='center'>";
							
							echo "<td>";
							echo " TRATAMIENTO ";
							echo "</td>";
							
							echo "<td>";
							echo "COSTO";
							echo "</td>";
							
							$con01="SELECT tipo,idTipo FROM tipo_pacientes ORDER BY tipo";
							$res01=mysql_query($con01,$conex) or die ("No se realizo con01");
							while($campo=mysql_fetch_row($res01))
							{
								
								$nombreTipo=$campo[0];
								if($campo[0]=="administrativo" or $campo[0]=="Administrativo")
								{$nombreTipo="Admin";}
								if($campo[0]=="Familiar Administrativo")
								{$nombreTipo="Familiar<br>Admin";}
								
								echo "<td>";
								echo $nombreTipo;
								echo "</td>";
																	
								echo "<td>";
								echo "Monto";
								echo "</td>";
							}

							echo "<td>";
							echo "TRATAM.<BR>TOTALES";
							echo "</td>";
							
							echo "<td>";
							echo "MONTO<BR>TOTAL";
							echo "</td>";

							echo "</tr>";

							$total=0;
							$conteo=0;
							$total_final=0;
							$cons1="SELECT idTratamiento,tratamientoCompleto,precio,descuento FROM tratamientocompleto ORDER BY tratamientoCompleto ASC";
							$res1=mysql_query($cons1,$conex) or die ("No se realizo cons1");
							while ($filax=mysql_fetch_row($res1))
							{
							
									$montoTratamiento=0;
									$query="SELECT count(idTratamiento) as total FROM salida WHERE $condicion and estado='Finalizada' and idTratamiento='$filax[0]'";
									$result=mysql_query($query,$conex) or die ("No se realizó query");
									$total=mysql_result($result,0,'total');
									
										if ($conteo==0)
										{
										echo "<tr class='tablaBordes'>";
										}
										else
										{
										echo "<tr class='tablaBordes' bgcolor='#F0F0F0'>";
										}
										
										//Tratamiento
										echo "<td class='style1'>";
										echo $filax[1];
										echo "</td>";
										
										//costo del tratamiento
										echo "<td class='style1' align='right'>";
										echo "$".number_format($filax[2],2);
										echo "</td>";
										
										$suma=0;
										$montoTratamientoFinal=0;

										$con02="SELECT idTipo,tipo FROM tipo_pacientes ORDER BY tipo";
										$res02=mysql_query($con02,$conex) or die ("No se realizo con01");
										while($campo2=mysql_fetch_row($res02))
										{
											
											$query2="SELECT count(idTratamiento) as suma FROM salida WHERE $condicion and idTipo='$campo2[0]' and estado='Finalizada' and idTratamiento='$filax[0]'";
											$result2=mysql_query($query2,$conex) or die ("No se realizó query2");
											$suma=mysql_result($result2,0,'suma');
																							
											echo "<td class='style1' align='center'>";
											echo $suma;
											echo "</td>";
												
											//Calculo monto
											$desc01=0;
											$desc02=0;
											$monto1=0;
											$montoTratamiento=0;
											
											$query02="SELECT montoTotal,cifra,idSalida FROM salida WHERE $condicion and idTipo='$campo2[0]' and estado='Finalizada' and idTratamiento='$filax[0]'";
											$result02=mysql_query($query02,$conex) or die ("No se realizó query02");
											while($campo3=mysql_fetch_row($result02))
											{
												$desc01=$campo3[1]/100;
												$desc02=$campo3[0]*$desc01;
												$monto1=$campo3[0]-$desc02;
												$montoTratamiento=$montoTratamiento+$monto1;	
											}
																								
											//IMPRESION
											echo "<td class='style1' align='right'>";
											echo "$".number_format($montoTratamiento,2);
											echo "</td>";
											
											$montoTratamientoFinal=$montoTratamientoFinal+$montoTratamiento;
											
										}
																				
										//cantidad												
										echo "<td class='style4' align='center'>";
										echo "<b>".$total."</b>";
										echo "</td>";
										
										//monto total por tratamiento											
										echo "<td class='style4' align='right'>";
										echo "<b>";
										echo "$".number_format($montoTratamientoFinal,2);
										echo "</b>";
										echo "</td>";
																		
									$conteo=$conteo + 1;
									if ($conteo==2)
									{$conteo=0;}
							
									echo "</tr>";
									
									$total_final=$total_final+$montoTratamientoFinal;
							}
							echo "</table>";
							
							//TOTAL FINAL							
							
							echo "<table align='right' cellpadding='1'>";
							echo "<tr align='right'>";
							echo "<td class='style10'>";
							echo "<b>";
							echo "TOTAL: $".number_format($total_final,2);
							echo "</b>";
							echo "</td>";
							echo "</tr>";
							
						

					}// END ISSET

				?>            </td>
          </tr>
      </table></td>
    </tr>
  </table>


